httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Escudero, Peter Louis" <peterlouis.escud...@eds.com>
Subject RE: [users@httpd] ap_global_ctx error when starting apache 1.3.22
Date Wed, 20 Apr 2005 15:26:33 GMT
The crypto card won't let me use any other version except 1.3.22, which
sucks. I tried the version that came with Solaris 9 (4/04), which is
v1.3.31...didn't work. Then I tried the latest & greatest version, 2.0.53,
also to no avail. I already compiled v1.3.22 without the crypto part. The
compile works, & the crypto card's sslconfig command works, which is why I
now have the certs I need. The problem now is that Apache won't even start.
I see two options: a) bypass the cyrpto card & use OpenSSL instead, which
could overload the CPU, or b) swap out the crypto card with the latest model
(4000), but I don't know yet if that will work with the latest Apache.
 

Peter Escudero 


  _____  

From: herauthon [mailto:herauthon@home.nl] 
Sent: Monday, April 18, 2005 5:51 PM
To: users@httpd.apache.org
Subject: Re: [users@httpd] ap_global_ctx error when starting apache 1.3.22



1 can you use 1.3.33 ?
2 can you try to compile it without the hole technology
( the crypto part ) and try again (cross testing)
to exclude other problems
3 what about apache 2.0.5x ?
 
hear from you :)

----- Original Message ----- 
From: Escudero, Peter Louis <mailto:peterlouis.escudero@eds.com>  
To: users@httpd.apache.org <mailto:users@httpd.apache.org>  
Sent: Tuesday, April 19, 2005 1:42 AM
Subject: [users@httpd] ap_global_ctx error when starting apache 1.3.22

I have a SunFire V210 with a Sun Crypto Accelerator 500 card. The OS is
Solaris 9 (4/04), & I had to install Apache v1.3.22 just so I could run
"sslconfig" & configure Apache to work with the crypto card. Now I have the
certs installed, but when I go to start Apache I get the following error:
 
bash-2.05# ./apachectl start
Syntax error on line 205 of /usr/local/apache/conf/httpd.conf:
Cannot load /usr/local/apache/libexec/mod_ssl.so.1.3.22 into server:
ld.so.1: /usr/local/apache/bin/httpd: fatal: relocation error: file
/usr/local/apache/libexec/mod_ssl.so.1.3.22: symbol ap_global_ctx:
referenced symbol not found
./apachectl start: httpd could not be started

I googled the error & got 2 hits, the 2nd of which had a solution: configure
Apache with --enable-rule=EAPI. Problem is, that solution was for v1.3.12. I
tried to recompile my version with that flag, to no avail. There's no such
thing as an EAPI rule for v1.3.22! Hence, this call for help. Any info you
can provide will be greatly appreciated.

Peter Escudero 



Mime
View raw message